Subject: Re: Does anyone use i686-linux? [was Re: bug#67535: ci.guix.gnu.org 'Cannot allocate memory' while building for i686-linux]

From: Leo Famulari <[email-masked]>
Date: Thu, 1 Aug 2024 16:12:18 -0400

On Tue, Jul 30, 2024 at 06:02:23PM -0300, André Batista wrote:
> seg 29 jul 2024 às 14:33:59 (1722274439), [email-masked] enviou:
> > FWIW, I'm using one of those Atom chips in a netbook for an installation
> > of Sugar Desktop.  I upgrade it every few months or so.  If I'm the only
> > user of i686-linux I would not want to condemn the project to supporting
> > the architecture for my sake.
> 
> For the record, I'm another one still using those atom netbooks. Most
> software that I use on that machine still builds and runs fine, with the
> occasional hiccup.
> 
> But even though I use the arch, I also don't feel particularly inclined
> to fix the occasional errors and can understand if people here decide to
> drop support to it.

Thanks for chiming in Ricardo and André. Do you build your own kernels
for these machines? Or wait for the occasional successful build from CI?
Download substitutes from a different build farm?